Set proxy settings
- PUT /platform/infrastructure/proxies/settings
WARNING This endpoint is deprecated and scheduled to be removed in the next major version.
Overwrites the proxy settings. All unspecified fields are deleted.
Query Parameters
-
versionstring If specified, checks for conflicts against the version of the settings (returned in 'x-cloud-resource-version' of the GET request)
Request
The proxy settings to apply
-
expected_proxies_countintegerrequired -
Expected number of proxies
-
signature_secretstringrequired -
Secret string for signature generation
-
signature_valid_for_millisintegerrequired -
Signature validity in milliseconds
-
http_settingsProxiesHttpSettingsrequired -
WARNING This object is deprecated and scheduled to be removed in the next major version.
-
disconnected_cutoffintegerrequired -
Cutoff interval after disconnection in milliseconds
-
minimum_proxy_servicesintegerrequired -
Minimum number of proxy instances
-
sso_settingsProxiesSSOSettingsrequired -
WARNING This object is deprecated and scheduled to be removed in the next major version.
-
max_ageintegerrequired -
Maximum age of single-sign-on token in milliseconds
-
sso_secretstringrequired -
Secret string for single-sign-on
-
Name of the HTTP cookie used for single-sign-on
-
dont_log_requestsbooleanrequired -
If true, don't log requests
-
default_redirect_pathstringrequired -
Default path where users are redirected after a successful single-sign-on
-
Name of the cookie that bypasses maintenance
-
dashboards_base_urlstringrequired -
Base URL for the dashboard
-
Secret string for the HTTP cookie
-
User key for the HTTP cookie
Responses
Returns the updated settings
-
expected_proxies_countintegerrequired -
Expected number of proxies
-
signature_secretstringrequired -
Secret string for signature generation
-
signature_valid_for_millisintegerrequired -
Signature validity in milliseconds
-
http_settingsProxiesHttpSettingsrequired -
WARNING This object is deprecated and scheduled to be removed in the next major version.
There is a version conflict. (code: proxies.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response